Skip to main content
GET
/
v1
/
integrations
/
{credential_id}
Get integration
curl --request GET \
  --url https://api.oneinbox.ai/v1/integrations/{credential_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "provider": "<string>",
  "masked_key": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Path Parameters

credential_id
string<uuid>
required

Response

Successful Response

id
string
required
name
string
required
provider
string
required
masked_key
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required